# Class BuilderFacade

Class BuilderFacade

Declaration :

- C++ : class BuilderFacade

Provides unified access to the builder functionality. While individual components of the builder subsystem may be called if necessary or suitable, it is usually better to do all extern invocations via the high level methods of this Facade

Artifact : builderfacade, Component(s) : Controller

Operation buildEngine

Declaration :

- Uml : + buildEngine() : RenderEngine
- C++ : public: RenderEngine buildEngine ()

Main Operation of the Builder: create a render engine for a given part of the timeline

All public operations : buildEngine